import 'package:flutter/cupertino.dart';

class GaragesalePostPageState {
  //title 字段的错误信息展示
  String? titleErrorText;

  //contactInfo 字段的错误信息展示
  String? contactInfoErrorText;

  //price 字段的错误信息展示
  String? priceErrorText;

  //description 字段的错误信息展示
  String? descriptionErrorText;

  //表单的校验与数据
  final Map<String, Map<String, dynamic>> formData;

  // 标题
  final String? title;
  // 描述
  final String? description;

  // contact type 类型选项
  final List<String> contactTypeOptionsList = ["Mobile Phone", "WhatsApp", "Email"];
  String? contactTypeSelectedOption;

  // contact information
  final String? contactInformation;

  //sale 类型选项
  final List<String> saleOptionsList = ["For Sale", "For Rent",];
  String? saleSelectedOption;

  //category 类型选项
  final List<String> categoryOptionsList = ["Kids", "Homeware", "Fashion", "Electronics","Sports","Furniture","Others"];
  String? categorySelectedOption;

  // 选择的图片
  final List<String> imgList;

  GaragesalePostPageState({
    formData,
    required this.imgList,
    this.titleErrorText,
    this.contactInfoErrorText,
    this.priceErrorText,
    this.descriptionErrorText,
    this.title,
    this.description,
    this.contactInformation,
    this.contactTypeSelectedOption,
    this.saleSelectedOption,
    this.categorySelectedOption,
  }): formData = formData ?? {
    'sale': {
      'value': '',
      'controller': TextEditingController(),
      'hintText': '',
      'focusNode': FocusNode(),
      'obsecure': false,
    },
    'category': {
      'value': '',
      'controller': TextEditingController(),
      'hintText': '',
      'focusNode': FocusNode(),
      'obsecure': false,
    },
    'title': {
      'value': '',
      'controller': TextEditingController(),
      'hintText': '',
      'focusNode': FocusNode(),
      'obsecure': false,
    },
    'price': {
      'value': '',
      'controller': TextEditingController(),
      'hintText': '',
      'focusNode': FocusNode(),
      'obsecure': false,
    },
    'description': {
      'value': '',
      'controller': TextEditingController(),
      'hintText': '',
      'focusNode': FocusNode(),
      'obsecure': false,
    },
  };

  GaragesalePostPageState copyWith({
    Map<String, Map<String, dynamic>>? formData,
    List<String>? imgList,
    String? titleErrorText,
    String? contactInfoErrorText,
    String? priceErrorText,
    String? descriptionErrorText,
    String? contactInformation,
    String? contactTypeSelectedOption,
    String? saleSelectedOption,
    String? categorySelectedOption,
    String? title,
    String? description,
  }) {
    return GaragesalePostPageState(
      formData: formData ?? this.formData,
      title: title ?? this.title,
      description: description ?? this.description,
      imgList: imgList ?? this.imgList,
      contactInformation: contactInformation ?? this.contactInformation,
      contactTypeSelectedOption: contactTypeSelectedOption ?? this.contactTypeSelectedOption,
      saleSelectedOption: saleSelectedOption ?? this.saleSelectedOption,
      categorySelectedOption: categorySelectedOption ?? this.categorySelectedOption,
      titleErrorText: titleErrorText ,
      contactInfoErrorText: contactInfoErrorText,
      priceErrorText: priceErrorText ,
      descriptionErrorText: descriptionErrorText,
    );
  }

}