import 'package:cs_resources/theme/app_colors_theme.dart';
import 'package:flutter/material.dart';
import 'package:auto_route/auto_route.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:shared/utils/log_utils.dart';
import 'package:shared/utils/color_utils.dart';
import 'package:widgets/ext/ex_widget.dart';
import 'package:widgets/my_appbar.dart';
import 'package:widgets/my_load_image.dart';
import 'package:widgets/my_text_view.dart';
import 'package:widgets/widget_export.dart';
import 'package:cs_resources/generated/assets.dart';

import '../../../router/page/services_page_router.dart';
import './services_contact_vm.dart';

@RoutePage()
class ServicesContactPage extends HookConsumerWidget {
  const ServicesContactPage({Key? key}) : super(key: key);

  //启动当前页面
  static void startInstance({BuildContext? context}) {
    if (context != null) {
      context.router.push(const ServicesContactPageRoute());
    } else {
      appRouter.push(const ServicesContactPageRoute());
    }
  }

  Widget _buildDetailTop(BuildContext context, WidgetRef ref, _vm) {
    // List itemsList = _vm.state.list.toList();
    return Column(
      children: [
        const Column(children: [
          MyAssetImage(
            Assets.propertyHomeLoanBg,
            // width: 15,
            // height: 15,
          ),
        ]),
        Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisAlignment: MainAxisAlignment.start,
          children: [
            const Text(
              'IMPORTANT',
              style: TextStyle(
                  fontSize: 18.0,
                  color: Colors.black,
                  fontWeight: FontWeight.w700), // 设置字体大小
            ).marginOnly(bottom: 15),
            const Text(
              'Dear Residents,STANDARD OPERATING PROCEDURE FORREPLACEMENT VEHICLES ANDOVERNICHT PARKING VEHICLES',
              style: TextStyle(
                  fontSize: 15.0,
                  color: Colors.black,
                  fontWeight: FontWeight.w400), // 设置字体大小
            ).marginOnly(bottom: 28),
            Row(
              children: [
                Container(
                  child: const Text(
                    'CONTACT US',
                    style: TextStyle(
                        fontSize: 18.0,
                        color: Colors.black,
                        fontWeight: FontWeight.w700), // 设置字体大小
                  ),
                ).paddingOnly(top: 23),
              ],
            ).border(top: 1, color: ColorUtils.string2Color('#F2F3F6')),
            const Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              mainAxisAlignment: MainAxisAlignment.start,
              children: [
                Text(
                  'Whatsapp',
                  style: TextStyle(
                      fontSize: 17.0,
                      color: Colors.black,
                      fontWeight: FontWeight.w700), // 设置字体大小
                ),
                Text(
                  '+65 67175555',
                  style: TextStyle(
                      fontSize: 17.0,
                      color: Colors.black,
                      fontWeight: FontWeight.w400), // 设置字体大小
                ),
              ],
            ).marginOnly(top: 25),
            const Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              mainAxisAlignment: MainAxisAlignment.start,
              children: [
                Text(
                  'Whatsapp',
                  style: TextStyle(
                      fontSize: 17.0,
                      color: Colors.black,
                      fontWeight: FontWeight.w700), // 设置字体大小
                ),
                Text(
                  '+65 67175555',
                  style: TextStyle(
                      fontSize: 17.0,
                      color: Colors.black,
                      fontWeight: FontWeight.w400), // 设置字体大小
                ),
              ],
            ).marginOnly(top: 25),
            const Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              mainAxisAlignment: MainAxisAlignment.start,
              children: [
                Text(
                  'Whatsapp',
                  style: TextStyle(
                      fontSize: 17.0,
                      color: Colors.black,
                      fontWeight: FontWeight.w700), // 设置字体大小
                ),
                Text(
                  '+65 67175555',
                  style: TextStyle(
                      fontSize: 17.0,
                      color: Colors.black,
                      fontWeight: FontWeight.w400), // 设置字体大小
                ),
              ],
            ).marginOnly(top: 25),
            const Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              mainAxisAlignment: MainAxisAlignment.start,
              children: [
                Text(
                  'Whatsapp',
                  style: TextStyle(
                      fontSize: 17.0,
                      color: Colors.black,
                      fontWeight: FontWeight.w700), // 设置字体大小
                ),
                Text(
                  '+65 67175555',
                  style: TextStyle(
                      fontSize: 17.0,
                      color: Colors.black,
                      fontWeight: FontWeight.w400), // 设置字体大小
                ),
              ],
            ).marginOnly(top: 25),
          ],
        ).paddingOnly(top: 15, bottom: 50, left: 15, right: 15),
      ],
    );
  }

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final _vm = ref.read(servicesContactVmProvider.notifier);

    return Scaffold(
      appBar: MyAppBar.appBar(
        context,
        "Lift Padding",
        backgroundColor: context.appColors.whiteBG,
      ),
      body: Column(children: [
        Expanded(
          child: SingleChildScrollView(
              scrollDirection: Axis.vertical,
              physics: const BouncingScrollPhysics(),
              clipBehavior: Clip.none,
              child: _buildDetailTop(context, ref, _vm)),
        ),
      ]),
    );
  }
}
